petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscLogDump

Dumps logs of objects to a file. This file is intended to be read by bin/petscview. This program no longer exists.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogDump(const char sname[])

Collective on PETSC_COMM_WORLD

### Input Parameter

name -an optional file name

### Usage

         PetscInitialize(...);
         PetscLogDefaultBegin(); or PetscLogAllBegin();
         ... code ...
         PetscLogDump(filename);
         PetscFinalize();

### Notes

The default file name is

       Log.<rank>

where <rank> is the processor number. If no name is specified, this file will be used.

### Keywords

log, dump

### See Also

PetscLogDefaultBegin(), PetscLogAllBegin(), PetscLogView()

### Level

advanced

### Location

src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages